package fr.nitorac.aurionweb.fragments.home;

import android.webkit.WebView;

import fr.nitorac.aurionweb.fragments.AurionViewFragment;

public class HomeFragment extends AurionViewFragment {

    public static final String AURIONURL = "https://aurionweb.ensiie.fr";

    private boolean hasLoaded = false;

    @Override
    public void pageFinished(WebView view, String url) {
        if(!hasLoaded){
            view.evaluateJavascript("$(\"#mobile-menu-btn\").click();", paRes -> {});
            hasLoaded = true;
        }
    }

    @Override
    public void preload() {
        webView.loadUrl(AURIONURL, getHeaders());
    }
}